Subject: Re: git svn fails to work

From: "Aaron Gray" <[email-masked]>
Date: Sat, 28 Mar 2009 21:43:04 -0000

> On Sat, Mar 28, 2009 at 8:48 PM, Aaron Gray
> <[email-masked]> wrote:
>> I have been tying for a week to get git svn to work. If i do a 'git
>> clone'
>> and if falls over 'git svn fetch' picks up from where it left off, but on
>> completion I can only see the older stuff if at all and a 'git clone
>> rebase'
>> eithr shoud up unreconsilable differences or refuses to execute the
>> command
>> at all, gust giving uphelpfull help afaics.
>
> I am afraid if you expect anyone to help you with you, you have to spend
> a little more time to describe your problem. You have not mentioned what
> version of Git you use, what operating system, what is layout of your SVN
> repo, what commands and with what options you used and what was their
> output. Without that information no one will be able to help you...
>
>> Otherwise I am giving up and either going back to svn or over to
>> mercurial.
>
> Yeah, right... These kind of threats will make people who want to help to
> come running....

Sorry, but I am very frustrated with the whole thing, there is not real user
guides for git-svn other that third party ones which seem to be wrong.

I am using Fedora 10, GIT 1.6.0.6, the svn repo is standard layout although
I only want trunk, it here :-

    svn co http://llvm.org/svn/llvm-project/llvm/trunk llvm

This is quite a big repository 65000 or more revisions.

The commands

    git svn clone http://llvm.org/svn/llvm-project/llvm/trunk

when connection fails I do a :-

    git svn fetch

gitweb is not updating at all to show any change in the repository.

Aaron